aboutsummaryrefslogtreecommitdiff
path: root/tools/perf/scripts/python/bin/syscall-counts-by-pid-report
diff options
context:
space:
mode:
Diffstat (limited to 'tools/perf/scripts/python/bin/syscall-counts-by-pid-report')
-rw-r--r--tools/perf/scripts/python/bin/syscall-counts-by-pid-report8
1 files changed, 7 insertions, 1 deletions
diff --git a/tools/perf/scripts/python/bin/syscall-counts-by-pid-report b/tools/perf/scripts/python/bin/syscall-counts-by-pid-report
index f8044d19227..c53362e4860 100644
--- a/tools/perf/scripts/python/bin/syscall-counts-by-pid-report
+++ b/tools/perf/scripts/python/bin/syscall-counts-by-pid-report
@@ -1,4 +1,10 @@
#!/bin/bash
# description: system-wide syscall counts, by pid
# args: [comm]
-perf trace -s ~/libexec/perf-core/scripts/python/syscall-counts-by-pid.py $1
+if [ $# -gt 0 ] ; then
+ if ! expr match "$1" "-" ; then
+ comm=$1
+ shift
+ fi
+fi
+perf trace $@ -s ~/libexec/perf-core/scripts/python/syscall-counts-by-pid.py $comm